# Compiling

The `new-isotope` and `old-isotope` folders in this directory both contain a Cargo project, and both should compile without error (though this was only tested on Linux systems running Ubuntu with the latest version of Rust).

To compile either, install the latest version of the Rust toolchain, `cd` into the desired directory and run `cargo build`. A suite of tests can be run using `cargo test`.

Both `new-isotope` and `old-isotope` provide minimal, incomplete REPLs: `new-isotope`'s REPL is run with `cargo run`, while `old-isotope`'s repl is run with `cargo run --example repl`.
The documentation for both projects can be generated using `cargo doc` and opened `cargo doc --open`. Alternatively, it is provided in HTML format in the `doc` subdirectory of each project folder.
In particular, it can be opened by opening `new-isotope/doc/isotope/index.html` or `old-isotope/doc/isotope/index.html` for the new and old implementations respectively in any modern web browser.
